Delete conversations

Base URL
https://{kibana_url}
  • DELETE /api/security_ai_assistant/current_user/conversations
  • DELETE /s/{space_id}/api/security_ai_assistant/current_user/conversations
Auth

This endpoint allows users to permanently delete all conversations.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

excludedIds string[]

Optional list of conversation IDs to delete.

Responses

Indicates a successful call. The conversations were deleted successfully.

application/json
failures string[]
success boolean
totalDeleted number

Bad Request response.

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}